Mangools/API

Get all reports

Get all scheduled email reports configured on a tracking (weekly, monthly, and rank-change alerts), sorted by creation date (newest first). Each report includes its type, name and the list of recipient email addresses.

GET
/serpwatcher/trackings/{tracking_id}/reports

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Path Parameters

tracking_id*string

Tracking ID

Response Body

application/json

application/json

curl -X GET "https://api.mangools.com/v3/serpwatcher/trackings/string/reports"
[
  {
    "_id": "string",
    "user_id": "string",
    "tracking_id": "string",
    "type": 0,
    "emails": [
      "string"
    ],
    "name": "string",
    "triggers": [
      0
    ],
    "created_at": 0
  }
]
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}